{
    attributes = (
        {
            columnName = "FON_CATEGORIE"; 
            externalType = VARCHAR2; 
            name = fonCategorie; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }, 
        {
            allowsNull = Y; 
            columnName = "FON_DESCRIPTION"; 
            externalType = VARCHAR2; 
            name = fonDescription; 
            valueClassName = NSString; 
            valueType = S; 
            width = 500; 
        }, 
        {
            columnName = "FON_ID_INTERNE"; 
            externalType = VARCHAR2; 
            name = fonIdInterne; 
            valueClassName = NSString; 
            valueType = S; 
            width = 8; 
        }, 
        {
            columnName = "FON_LIBELLE"; 
            externalType = VARCHAR2; 
            name = fonLibelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }, 
        {
            columnName = "FON_ORDRE"; 
            externalType = NUMBER; 
            name = fonOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "FON_SPEC_EXERCICE"; 
            externalType = VARCHAR2; 
            name = fonSpecExercice; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "FON_SPEC_GESTION"; 
            externalType = VARCHAR2; 
            name = fonSpecGestion; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TYAP_ID"; 
            externalType = NUMBER; 
            name = tyapId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (
        fonCategorie, 
        fonDescription, 
        fonIdInterne, 
        fonLibelle, 
        fonOrdre, 
        fonSpecExercice, 
        fonSpecGestion, 
        tyapId
    ); 
    className = "org.cocktail.fwkcktlgfceos.server.metier.EOFonction"; 
    classProperties = (
        fonCategorie, 
        fonDescription, 
        fonIdInterne, 
        fonLibelle, 
        fonSpecExercice, 
        fonSpecGestion, 
        typeApplication
    ); 
    externalName = "GFC.ADM_FONCTION"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_javaClientClassName" = "org.cocktail.fwkcktlgfceos.server.metier.EOFonction"; 
    }; 
    name = "FwkGFCEos_Fonction"; 
    primaryKeyAttributes = (fonOrdre); 
    relationships = (
        {
            destination = "FwkGFCEos_TypeApplication"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tyapId; sourceAttribute = tyapId; }); 
            name = typeApplication; 
        }
    ); 
}
